
From: Andi Kleen <ak@suse.de>

ACPI modules check acpi_disabled at module load time.  This fixes random
failures to load battery.o et.al.



 25-akpm/arch/i386/kernel/setup.c |    4 ++--
 25-akpm/arch/ia64/kernel/acpi.c  |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/kernel/setup.c~acpi_disabled-fix arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~acpi_disabled-fix	Tue Sep 23 14:01:14 2003
+++ 25-akpm/arch/i386/kernel/setup.c	Tue Sep 23 14:01:14 2003
@@ -65,9 +65,9 @@ unsigned long mmu_cr4_features;
 EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
 #ifdef	CONFIG_ACPI_INTERPRETER
-	int acpi_disabled __initdata = 0;
+	int acpi_disabled = 0;
 #else
-	int acpi_disabled __initdata = 1;
+	int acpi_disabled = 1;
 #endif
 EXPORT_SYMBOL(acpi_disabled);
 
diff -puN arch/ia64/kernel/acpi.c~acpi_disabled-fix arch/ia64/kernel/acpi.c
--- 25/arch/ia64/kernel/acpi.c~acpi_disabled-fix	Tue Sep 23 14:01:14 2003
+++ 25-akpm/arch/ia64/kernel/acpi.c	Tue Sep 23 14:01:14 2003
@@ -56,7 +56,7 @@ void (*pm_power_off) (void);
 
 unsigned char acpi_kbd_controller_present = 1;
 
-int acpi_disabled __initdata;	/* XXX this shouldn't be needed---we can't boot without ACPI! */
+int acpi_disabled;	/* XXX this shouldn't be needed---we can't boot without ACPI! */
 
 const char *
 acpi_get_sysname (void)

_
